/* BdfServer_API - Copyright (c) 2010-2020 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.api.instruction;

import net.mapeadores.util.logging.CommandMessage;
import net.mapeadores.util.logging.LogUtils;


/**
 *
 * @author Vincent Calame
 */
public class BdfInstructionException extends Exception {

    private final CommandMessage commandMessage;

    public BdfInstructionException(String message) {
        super(message);
        this.commandMessage = LogUtils.error("_ error.exception.bdfinstruction", message);
    }

    public BdfInstructionException(CommandMessage commandMessage) {
        super(commandMessage.getMessageKey());
        this.commandMessage = commandMessage;
    }

    public CommandMessage getCommandMessage() {
        return commandMessage;
    }

}
