/**
 * Objet global définissant l'espace de nom Scarabe
 * 
 * @namespace OpenDocument
 */
var OpenDocument = {};

OpenDocument.STYLE_ATTRIBUTES = {
    "text-align": {
        name: "fo:text-align",
        type: "paragraph"
    },
    "font-weight": {
        name: "fo:font-weight",
        type: "text"
    },
    "font-style": {
        name: "fo:font-style",
        type: "text"
    },
    "font-size": {
        name: "fo:font-size",
        type: "text"
    },
    "color": {
        name: "fo:color",
        type: "text"
    },
    "vertical-align": {
        name: "style:vertical-align",
        type: "cell"
    },
    "background-color": {
        name: "fo:background-color",
        type: false
    },
    "border": {
        name: "fo:border",
        type: false
    },
    "padding": {
        name: "fo:padding",
        type: false
    },
    "row-height": {
        name: "style:row-height",
        type: "row"
    },
    "use-optimal-row-height": {
        name: "style:use-optimal-row-height",
        type: "row"
    },
    "column-width": {
        name: "style:column-width",
        type: "column"
    }
};

OpenDocument.DEFAULT_CELLSTYLE_NAME = "Default";
OpenDocument.ISODATE_DATASTYLE_NAME = "N101";
OpenDocument.COLUMNSTYLE_PREFIX = "co";
OpenDocument.CELLSTYLE_PREFIX = "ce";
OpenDocument.DATASTYLE_PREFIX = "N";
OpenDocument.SPREADSHEET_MIMETYPE = "application/vnd.oasis.opendocument.spreadsheet";

OpenDocument.checkSheetName = function (name) {
    var result = "";
    var carac;
    for (let i = 0, len = name.length; i < len; i++) {
        carac = name.charAt(i);
        switch (carac) {
            case '[':
                carac = '(';
                break;
            case ']':
                carac = ')';
                break;
            case '*':
            case ':':
            case '/':
            case '?':
            case '\\':
                carac = '-';
                break;
        }
        result += carac;
    }
    return result;
};

OpenDocument.toChar = function (columnNumber) {
    return (columnNumber + 64);
};
