/* FichothequeLib_Tools - Copyright (c) 2015-2018 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.fichotheque.tools.dom;

import net.fichotheque.addenda.metadata.AddendaMetadataEditor;
import net.mapeadores.util.logging.MessageHandler;
import net.mapeadores.util.xml.DOMUtils;
import net.mapeadores.util.xml.DomMessages;
import net.mapeadores.util.xml.ElementHandler;
import org.w3c.dom.Element;


/**
 *
 * @author Vincent Calame
 */
public class AddendaMetadataDOMReader extends AbstractMetadataDOMReader {

    public AddendaMetadataDOMReader(AddendaMetadataEditor addendaMetadataEditor, MessageHandler messageHandler) {
        super(addendaMetadataEditor, messageHandler, "addenda");
    }

    public void fillMetadata(Element element) {
        RootHandler rootHandler = new RootHandler("/" + element.getTagName());
        DOMUtils.readChildren(element, rootHandler);
    }


    private class RootHandler implements ElementHandler {

        private final String parentXpath;

        private RootHandler(String parentXpath) {
            this.parentXpath = parentXpath;
        }

        @Override
        public void readElement(Element element) {
            if (readCommonElement(element, parentXpath)) {
                return;
            }
            String tagname = element.getTagName();
            String xpath = parentXpath + "/" + tagname;
            DomMessages.unknownTagWarning(messageHandler, xpath);
        }

    }

}
